Bug Hunting Session
Bug 71961 - FILESAVE: text doesn't fit into text boxes when using .PPTX format
Summary: FILESAVE: text doesn't fit into text boxes when using .PPTX format
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.3 release
Hardware: All All
: highest normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.3.0 target:4.2.4
Keywords:
: 49257 65689 71626 (view as bug list)
Depends on:
Blocks: mab4.1
  Show dependency treegraph
 
Reported: 2013-11-24 12:19 UTC by byronho24
Modified: 2015-01-22 16:50 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Test Slide ODP (44.34 KB, application/vnd.oasis.opendocument.presentation)
2014-01-08 11:36 UTC, Italo Vignoli
Details
Text Slide PPT (74.00 KB, application/vnd.ms-powerpoint)
2014-01-08 11:37 UTC, Italo Vignoli
Details
Text Slide PPTX (31.91 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2014-01-08 11:38 UTC, Italo Vignoli
Details
Comparison of slide opened in PowerPoint vs Impress (267.04 KB, image/jpeg)
2014-02-19 12:47 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description byronho24 2013-11-24 12:19:39 UTC
Problem description: When saved to pptx, all text becomes Arial and the font size is 18 regardless of title or content. Also, text will occupy space outside the text box.

Steps to reproduce:
1. Save a presentation as office 2007/2010 xml (.pptx).
2. Close the application
3. Open the file again.

Current behavior:Formatting is lost.

Expected behavior:All formatting should be kept.

              
Operating System: Windows 7
Version: 4.1.2.3 release
Comment 1 bfoman (inactive) 2013-11-24 18:38:43 UTC
Please attach example presentation.
Comment 2 Tim Lloyd 2013-11-25 02:32:47 UTC
Hi, confirmed...almost

I set up a simple impress doc with a title (Calibri 44) and content (Times New Roman 32).
Saved as pptx. When I reopened the doc the font type was the same but the size was 18

I note that the default font type is arial. If you haven't already done this can you mod the font sizes first and see whether they are changed?

Cheers
Comment 3 Tim Lloyd 2013-11-25 02:34:35 UTC
I should point out that (sounding like a broken record) if you save as .ppt the properties are maintained correctly
Comment 4 Tim Lloyd 2013-12-02 01:51:38 UTC
I am going to mark this as confirmed as there is a reproduceable error
Comment 5 Italo Vignoli 2014-01-08 11:35:50 UTC
Same bug happens with LibreOffice 4.2 RC1 on a Macintosh. Added three attachments: original ODP, saved as PPT (correct) and saved as PPTX (text loses formatting, and font is converted to Arial 18).
Comment 6 Italo Vignoli 2014-01-08 11:36:48 UTC
Created attachment 91659 [details]
Test Slide ODP
Comment 7 Italo Vignoli 2014-01-08 11:37:18 UTC
Created attachment 91660 [details]
Text Slide PPT
Comment 8 Italo Vignoli 2014-01-08 11:38:06 UTC
Created attachment 91661 [details]
Text Slide PPTX
Comment 9 Italo Vignoli 2014-01-08 11:40:00 UTC
Attachments have been created on MacOS X Mavericks with LibreOffice 4.2 RC1, and they have been opened with PowerPoint for Mac to check the behaviour.
Comment 10 tommy27 2014-02-15 14:50:30 UTC
tested under Win7 64bit

the test file shows to issue about .PPTX saving:

1- font size change
still present in 4.2.x but fixed in 4.3 master see Bug 73627

2- text does not fix into text boxes
it seems that the whole text is saved into a single line in PPTX loosing the formatting it had in the original ODP. this part of the issue affects either 4.2.x or 4.3 master

edited summary notes.
Comment 11 tommy27 2014-02-15 14:58:00 UTC
*** Bug 71626 has been marked as a duplicate of this bug. ***
Comment 12 tommy27 2014-02-15 15:06:27 UTC
*** Bug 67347 has been marked as a duplicate of this bug. ***
Comment 13 tommy27 2014-02-15 17:54:55 UTC
*** Bug 65689 has been marked as a duplicate of this bug. ***
Comment 14 tommy27 2014-02-15 19:26:29 UTC
*** Bug 49257 has been marked as a duplicate of this bug. ***
Comment 15 tommy27 2014-02-19 06:14:05 UTC
I change summary notes.
according to https://bugs.freedesktop.org/show_bug.cgi?id=67347#c8

it seems that the bad fitting of text in .PPTX box happens either when you export .odt to .pptx or you import a .PPTX created by other applications.

so probably this is a FILEOPEN issue rather than a FILESAVE problem.

if anyone has MSO PowerPoint he could test attachment 91661 [details] and see if it loads correctly the text or not.

if the .PPTX created in LibO loads correctly in MSO it means is a FILEOPEN LibO bug.

otherwise if that .PPTX is badly rendered in MSO as well it means it's a FILESAVE Libo bug.

when anyone has results from this easy test, please edit summary notes removing FILEOPEN or FILESAVE
Comment 16 Luke 2014-02-19 12:23:16 UTC
@tommy27

attachment 91661 [details] when opened in Skydrive and PowerPoint 2007 has lost all of its original formatting.

I used LO 4.3 master~2014-02-19_01.39.31 to open the original .ODP file and saved as a PPTX. This time, the text was Arial 32 instead of 18. However, the text still does not fit into text box as it does in Impress. 

In the future, if you have a theory as to how document may look in Office, use the free view at:

https://skydrive.live.com/
Comment 17 Luke 2014-02-19 12:47:12 UTC
Created attachment 94353 [details]
Comparison of slide opened in PowerPoint vs Impress
Comment 18 tommy27 2014-02-19 12:54:52 UTC
(In reply to comment #16)
> @tommy27
> 
> attachment 91661 [details] when opened in Skydrive and PowerPoint 2007 has
> lost all of its original formatting.

ok. that .pptx file was create by LibO after conversion from .odp attachment 91659 [details]

if MSO sees the same wrong formatting it means that there's a FILESAVE issue.

now we need a simple .pptx created with MSO which proves to load correctly in PowerPoint but fail with LibO... if it's like that, it would imply that a FILEOPEN issue exists too, which has probably the same root.

what I think is that LibO has a bug about fitting text in .PPTX textboxes, either if the .PPTX is created by LibO or MSO.

> I used LO 4.3 master~2014-02-19_01.39.31 to open the original .ODP file and
> saved as a PPTX. This time, the text was Arial 32 instead of 18. However,
> the text still does not fit into text box as it does in Impress. 

the font size change is Bug 73627 (fixed in 4.3 but still present in 4.2) so it's normal that 4.3 master shows the correct font size (as the original .odp) while in 4.2 the font size shrinks to 18

> In the future, if you have a theory as to how document may look in Office,
> use the free view at:
> 
> https://skydrive.live.com/

good to know.
Comment 19 Björn Michaelsen 2014-03-16 01:12:32 UTC
Fix priority for MABs.
Comment 20 Commit Notification 2014-03-27 21:58:24 UTC
LuboÅ¡ LuÅak committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b3b843481db30df80e39869052b57ec929e18ea8

write (no)wrap of text only for custom shapes to .pptx (fdo#71961)



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2014-03-28 11:06:54 UTC
LuboÅ¡ LuÅak committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a929f282d7baa6cb73b17cae2d68d82d72008903&h=libreoffice-4-2

write (no)wrap of text only for custom shapes to .pptx (fdo#71961)


It will be available in LibreOffice 4.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.